Bug Hunting Session
Bug 74862 - FILEOPEN: DOC filter: embedded WAV (OLE) does not open properly on Linux
Summary: FILEOPEN: DOC filter: embedded WAV (OLE) does not open properly on Linux
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: OLE-Object-Interoperability
  Show dependency treegraph
 
Reported: 2014-02-11 22:52 UTC by Sean Young
Modified: 2018-12-19 13:55 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
word doc with embedded SoundRec objects (wav format) (526.00 KB, application/msword)
2014-02-11 22:52 UTC, Sean Young
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Young 2014-02-11 22:52:18 UTC
Created attachment 93887 [details]
word doc with embedded SoundRec objects (wav format)

Word doc with SoundRec objects. I cannot open the sound files on Linux; in Windows, the media player is opened.

Step to reproduce:
1. Open attached file on Linux
2. Double click any of the sound (speaker) icons
3. Expected result: you can play the sounds
4. Actual Result: you get a new writer windows with the sounds file, RIFF<binary>

I'm happy to work on this, some hints would really be appreciated. I'm still investigating but I'm not sure how this should be handled.
Comment 1 Owen Genat (retired) 2014-07-18 10:18:07 UTC
(In reply to comment #0)
> word doc with embedded SoundRec objects (wav format)

Objects are inserted / stored as compound OLE objects, so this appears to be an OLE handling issue, rather than an audio-related one. Even using MSO 2007 to resave the DOC as DOCX does not help gain access to playing the embedded sound files. Tested under GNU/Linux using:

- v4.3.0.2 Build ID: 14ed55896fdfcb93ff437b85c4f3e1923d2b1409
- v4.4.0.0.alpha0+ Build ID: 3fdd4f069d5436cf39708004af7fda8175fbc4c2 (2014-07-09)

Confirmed. Status set to NEW. Summary edited for clarity.
Comment 2 QA Administrators 2015-07-18 17:43:37 UTC Comment hidden (obsolete)
Comment 3 Sean Young 2015-07-25 11:58:08 UTC
Still reproducable on LibreOffice 4.4.4.3 on Linux (Fedora 22).
Comment 4 QA Administrators 2016-09-20 10:17:47 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920